hedgehog-1.5: Release with confidence.

Safe Haskell | None
Language | Haskell2010

Hedgehog.Internal.Discovery

# Documentation

newtype PropertySource Source #

Constructors

PropertySource |

Fields

- propertySource :: Pos String

#### Instances

Instances details

Show PropertySource Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods showsPrec :: Int -> PropertySource -> ShowS Source # show :: PropertySource -> String Source # showList :: [PropertySource] -> ShowS Source #
Eq PropertySource Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods (==) :: PropertySource -> PropertySource -> Bool Source # (/=) :: PropertySource -> PropertySource -> Bool Source #
Ord PropertySource Source # |

Instance details

Defined in Hedgehog.Internal.Discovery

Methods

compare :: PropertySource -> PropertySource -> Ordering Source #

(<) :: PropertySource -> PropertySource -> Bool Source #

(<=) :: PropertySource -> PropertySource -> Bool Source #

(>) :: PropertySource -> PropertySource -> Bool Source #

(>=) :: PropertySource -> PropertySource -> Bool Source #

max :: PropertySource -> PropertySource -> PropertySource Source #

min :: PropertySource -> PropertySource -> PropertySource Source #

readProperties :: MonadIO m => String -> FilePath -> m (Map PropertyName PropertySource) Source #

findProperties :: String -> FilePath -> String -> Map PropertyName PropertySource Source #

readDeclaration :: MonadIO m => FilePath -> LineNo -> m (Maybe (String, Pos String)) Source #

data Pos a Source #

Constructors

Pos |

Fields

- posPostion :: !Position
- posValue :: a

#### Instances

Instances details

Functor Pos Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods fmap :: (a -> b) -> Pos a -> Pos b Source # (<$) :: a -> Pos b -> Pos a Source #
Semigroup a => Semigroup (Pos a) Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods (<>) :: Pos a -> Pos a -> Pos a Source # sconcat :: NonEmpty (Pos a) -> Pos a Source # stimes :: Integral b => b -> Pos a -> Pos a Source #
Show a => Show (Pos a) Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods showsPrec :: Int -> Pos a -> ShowS Source # show :: Pos a -> String Source # showList :: [Pos a] -> ShowS Source #
Eq a => Eq (Pos a) Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods (==) :: Pos a -> Pos a -> Bool Source # (/=) :: Pos a -> Pos a -> Bool Source #
Ord a => Ord (Pos a) Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods compare :: Pos a -> Pos a -> Ordering Source # (<) :: Pos a -> Pos a -> Bool Source # (<=) :: Pos a -> Pos a -> Bool Source # (>) :: Pos a -> Pos a -> Bool Source # (>=) :: Pos a -> Pos a -> Bool Source # max :: Pos a -> Pos a -> Pos a Source # min :: Pos a -> Pos a -> Pos a Source #

data Position Source #

Constructors

Position |

Fields

- _posPath :: !FilePath
- posLine :: !LineNo
- posColumn :: !ColumnNo

#### Instances

Instances details

Show Position Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods showsPrec :: Int -> Position -> ShowS Source # show :: Position -> String Source # showList :: [Position] -> ShowS Source #
Eq Position Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods (==) :: Position -> Position -> Bool Source # (/=) :: Position -> Position -> Bool Source #
Ord Position Source # |
Instance details Defined in Hedgehog.Internal.Discovery Methods compare :: Position -> Position -> Ordering Source # (<) :: Position -> Position -> Bool Source # (<=) :: Position -> Position -> Bool Source # (>) :: Position -> Position -> Bool Source # (>=) :: Position -> Position -> Bool Source # max :: Position -> Position -> Position Source # min :: Position -> Position -> Position Source #